> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activecalculator.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Calculators

> Fetches all existing calculators



## OpenAPI

````yaml get /calculators
openapi: 3.1.0
info:
  title: Management API
  version: '1.0'
servers:
  - url: https://app.activecalculator.com/api/v1
security:
  - sec0: []
paths:
  /calculators:
    get:
      summary: Get All Calculators
      description: Fetches all existing calculators
      operationId: get-all-calculators
      parameters:
        - name: limit
          in: query
          description: The maximum number of calculators to return
          schema:
            type: integer
            format: int32
        - name: offset
          in: query
          description: The number of calculators to skip before starting to return results
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "data": [
                        {
                          "id": "calculator123",
                          "createdAt": "2024-08-11T20:45:07.966Z",
                          "updatedAt": "2024-08-11T20:45:07.966Z",
                          "name": "Example Calculator",
                          "slug": null,
                          "workspaceId": "workspace456",
                          "folderId": "folder789",
                          "status": "draft",
                          "elements": [],
                          "layouts": {
                            "lg": [],
                            "md": [],
                            "sm": []
                          },
                          "variables": [],
                          "submitActions": {},
                          "themeId": "default",
                          "templateVisibility": null,
                          "templateCalculatorId": null,
                          "clonesCount": 0,
                          "impressionsCount": 0,
                          "lastImpressionAt": null,
                          "submissionsCount": 0,
                          "lastSubmissionAt": null,
                          "newElementCount": {}
                        }
                      ]
                    }
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: calculator123
                        createdAt:
                          type: string
                          example: '2024-08-11T20:45:07.966Z'
                        updatedAt:
                          type: string
                          example: '2024-08-11T20:45:07.966Z'
                        name:
                          type: string
                          example: Example Calculator
                        slug: {}
                        workspaceId:
                          type: string
                          example: workspace456
                        folderId:
                          type: string
                          example: folder789
                        status:
                          type: string
                          example: draft
                        elements:
                          type: array
                        layouts:
                          type: object
                          properties:
                            lg:
                              type: array
                            md:
                              type: array
                            sm:
                              type: array
                        variables:
                          type: array
                        submitActions:
                          type: object
                          properties: {}
                        themeId:
                          type: string
                          example: default
                        templateVisibility: {}
                        templateCalculatorId: {}
                        clonesCount:
                          type: integer
                          example: 0
                          default: 0
                        impressionsCount:
                          type: integer
                          example: 0
                          default: 0
                        lastImpressionAt: {}
                        submissionsCount:
                          type: integer
                          example: 0
                          default: 0
                        lastSubmissionAt: {}
                        newElementCount:
                          type: object
                          properties: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-ac-api-key

````